(function() {
		MainPage__on_ready = function() {
			this.updateFuncImgColor = function() {
				var func_image = this.ownerPage.findItemsByClass("func_image");
				for(var index in func_image){
					if(func_image[index].hasClass("func_image_bkg_0")){
						func_image[index].removeClass("func_image_bkg_0");
					}
					if(func_image[index].hasClass("func_image_bkg_1")){
						func_image[index].removeClass("func_image_bkg_1");
					}
					if(func_image[index].hasClass("func_image_bkg_2")){
						func_image[index].removeClass("func_image_bkg_2");
					}
					if(func_image[index].hasClass("func_image_bkg_3")){
						func_image[index].removeClass("func_image_bkg_3");
					}
				}
			};

			this.hideCover=function(){
				var items = this.ownerPage.findItemsByClass("cover_class");
				for(var index in items){
					items[index].removeClass("darken-layer");
				}
				var items_title = this.ownerPage.findItemsByClass("title_font");
				for(var index in items_title){
					items_title[index].removeClass("title_font_cover");
				}
			};

			this.showCover=function(){
				var items = this.ownerPage.findItemsByClass("cover_class");
				for(var index in items){
					items[index].addClass("darken-layer");
				}
				var items_title = this.ownerPage.findItemsByClass("title_font");
				for(var index in items_title){
					items_title[index].addClass("title_font_cover");
				}

			};
			//设置选择的海报可见
			this.makeFocusVisible = function() {
				var page_recommend = this.ownerPage.findItemById("recommend_poster_slider");
				var page_recommends = page_recommend.findItemsByClass("poster_focus");
				for(var index in page_recommends){
					var poster_image = page_recommends[index].findItemById("poster_image");
					if(poster_image.getAttr("img.6.visible") == "true"){
						page_recommend.makeChildVisible(page_recommends[index]);
					}
				}
			};
		};

		MainPage__page_menu__item_on_binding = function(){
		    var action = this.getData("action");
		    if(action == "m_user_manager_page"){
                if(this.getAttr("isvip") == "1"){
                     this.addClass("vip_style");
                }else{
                    this.removeClass("vip_style");
                }
                if(this.getAttr("user_name") != ""){//已登陆
                    this.setAttr("text",this.getAttr("user_name"));
                }else{
                    this.setAttr("text",this.getAttr("name"));
                }
            }else if(action == "m_open_message_system"){
			    this.dispatchEvent("update_message", "update_message");
            }
		};
		MainPage__page_menu__item_on_focus = function(){
			var page = this.findParentById("page_content");
			var type = page.getAttr("pre_area");
			if(type != "menu_bar"){
				this.ownerPage.updateFuncImgColor();
				this.ownerPage.hideCover();
			}
			var playlist = this.ownerPage.findItemById("playlist-slider");
            if(playlist != null){
                playlist.setAttr("focus_id","-1");
            }
			page.scrollTo(0);
			this.dispatchEvent(this.getData("action"), "ai_focus");
		};
		MainPage__page_menu__item_on_blur = function(){
			var page_content = this.ownerPage.findItemById("page_content");
			page_content.setAttr("pre_area","menu_bar");
		};
		MainPage__page_menu__item_on_click = function(){
			var action = this.getData("action");
			this.dispatchEvent("click", "menu", action);
		};

		MainPage__poster_image__on_loadImageSuccess = function() {
			this.ownerPage.makeFocusVisible();
		};

		MainPage__poster_image__on_loadImageFailed = function() {
			this.ownerPage.makeFocusVisible();
		};
		MainPage__poster_image__on_focus = function() {
		     var item = this.findItemById("poster_image");
             var watch_focus = this.getData("watch_focus");
             if((watch_focus != "") && (watch_focus != null)){
             //将显示看点的img.6拉长
                item.setAttr("img.6.padding","432,0,0,-71");
                item.addClass("watch_focus_shadow");
             }
             var w = item.viewWidth;
             if (this.__textWidth != w) {
                this.__textWidth = w;
                w = parseInt(w);
                if(w != 0){
                }else{
                    w = 290;
                }
                 var watch_focus_info = this.findItemById("watch_focus_info");
                 if(watch_focus_info != null){
                    watch_focus_info.setAttr("width",w.toString());
                 }
             }
             var page = this.findParentById("page_content");
             page.scrollTo(0);
             var type = page.getAttr("pre_area");
             if(type != "poster_img"){
                this.ownerPage.updateFuncImgColor();
                this.ownerPage.hideCover();
             }
            var playlist = this.ownerPage.findItemById("playlist-slider");
            if(playlist != null){
                playlist.setAttr("focus_id","-1");
            }
            var recommend_poster = this.findParentById("recommend_poster");
            var slider = this.findParentById("recommend_poster_slider");
            slider.makeChildVisible(this,0.5);
            this.dispatchEvent(this.getData("action"), "ai_focus");
        };
		MainPage__poster_image__on_blur = function() {
		    this.blinkClass("poster_blur_zIndex");
			var page_content = this.findParentById("page_content");
			page_content.setAttr("pre_area","poster_img");
			var item = this.findItemById("poster_image");
            item.setAttr("img.6.padding","432,0,0,0");
            if(item.hasClass("watch_focus_shadow")){
                item.removeClass("watch_focus_shadow");
            }
		};
		MainPage__poster_item_1__on_click = function() {
            this.dispatchEvent("click", "recommend", this.getData("action"));
		};
        MainPage__module_event = function() {
            if(this.getData("module_action") == "m_open_guess_you_like"){
                var module = this.ownerPage.findItemById("module_like");
                module.setStyle("display","block");
            }
        };
        MainPage__channel_icon_click = function() {
            this.dispatchEvent("click","channel",this.getData("action"));
			var userdata = this.getData("userdata");
			this.dispatchEvent("reportprocess", "data_report",this.getData("action"));
        }
        MainPage__channel_icon_focus = function() {
            var page = this.ownerPage.findItemById("page_content");
            var type = page.getAttr("pre_area");
            var item = this.ownerPage.findItemsByClass("func_image");
            for(var index in item){
                if( index > 26){
                    item[index].addClass("func_image_bkg_0");
                }else if(index > 17){
                    item[index].addClass("func_image_bkg_1");
                }else if(index > 8){
                    item[index].addClass("func_image_bkg_2");
                }else{
                    item[index].addClass("func_image_bkg_3");
                }
            }
            if(type == "poster_img"){
                page.makeChildVisible(this,0.21,0);
                this.ownerPage.showCover();
                var playlist = this.ownerPage.findItemById("playlist-slider");
                if(playlist != null){
                    playlist.setAttr("focus_id","-1");
                }
            }else if(type == "media_mode"){
                page.makeChildVisible(this,0.79,1);
                this.ownerPage.showCover();
            }else if(type == "menu_bar"){
                page.makeChildVisible(this,0.21,0);
                this.ownerPage.showCover();
            }
            if(item[0].viewY > 400){
                page.makeChildVisible(item[0],0.21,0);
                logger.d("makeChildVisible",item[0].viewY)
            }
            this.dispatchEvent(this.getData("action"), "ai_focus");
        };
        MainPage__play_list_focus = function() {
             var page = this.ownerPage.findItemById("page_content");
             var playlist = this.ownerPage.findItemById("playlist-slider");
             playlist.setAttr("focus_id",this.getAttr("idx"));
             var type = page.getAttr("pre_area");
             logger.e("MainPage__play_list_focus type="+type);
             if(type != "poster_img"){
                 this.ownerPage.updateFuncImgColor();
                 this.ownerPage.hideCover();
                 page.scrollTo(0);
             }
            var slider = this.findParentById("recommend_poster_slider");
            slider.makeChildVisible(this,0.5);
        };
        MainPage__play_list_blur = function(){
           var page = this.ownerPage.findItemById("page_content");
           page.setAttr("pre_area","poster_img");
           this.blinkClass("poster_blur_zIndex");
        };
        MainPage__play_list_all_click = function(){
            this.dispatchEvent("click","","m_open_playlist_page");
        };
        MainPage__play_list_click = function(){
        this.dispatchEvent("click", "playlist", JSON.stringify({"packageId":this.getAttr("packageId"), "categoryId":this.getAttr("categoryId"),
         "videoId":this.getAttr("videoId"),"videoType":this.getAttr("videoType"),"viewType":this.getAttr("viewType"),"name":this.getAttr("name"),
         "img":this.getAttr("img"),"indexUiStyle":this.getAttr("indexUiStyle"),"time_len":this.getAttr("time_len"),"begin_time":this.getAttr("begin_time")}));
        };
})("MainPage");

(function() {
		VideoListPage__on_load = function() {
			this.dispatchEvent("startLoading", "", "");
			this.darkenPosterGroup = function(item) {
			    item.addClass("darken-layer");
			};
			this.lightenPosterGroup = function(item) {
			    item.removeClass("darken-layer");
			};
			this.VideoListPageInit = function() {
				logger.e("VideoListPageInit");
				var ownerPage = this.ownerPage;
				var first_category = this.ownerPage.findItemsByClass("category-item")[0];
				if (first_category != null) {
				first_category.requestFocus();
				} else {
				this.dispatchEvent("processError", "", "");
				}

				ownerPage.media_asset_id = this.ownerPage.findItemById("title").getData("media_asset_id");
            };

            this.ownerPage.video_size_per_category = 6 + 1;
            this.ownerPage.special_size_per_category = 3 + 1;
		};

		VideoListPage__on_ready = function() {
            logger.d("VideoListPage__on_ready");
            this.ownerPage.VideoListPageInit();
		};

		VideoListPage__search_button_on_focus = function() {
			this.dispatchEvent("ai_open_search", "ai_focus", "");
		};

		VideoListPage__poster_item__on_blur = function() {
			var ownerPage = this.ownerPage;
			var groupLayer = this.findParentByClass("poster-group-layer");
			var curGroupId = groupLayer.getAttr("group-id");
			ownerPage.__lastActivePageId = curGroupId;
		};

		VideoListPage__category_item__on_blur = function() {
			var ownerPage = this.ownerPage;
			var curGroupId = this.getAttr("group-id");
			ownerPage.__lastActivePageId = curGroupId;
			//设置click_category_type = ""以便解决点击列表页除播放记录外海报后，返回列表页这时才刷新播放记录，焦点消重新返回到播放记录上
            var group_slider = this.ownerPage.findItemsByClass("poster-group");
            for(var idx in group_slider){
                group_slider[idx].setAttr("click_category_type","");
            }
		};

		VideoListPage__poster_item__on_focus = function() {
			var ownerPage = this.ownerPage;
			var curGroup = this.findParentByClass("poster-group");
			var listLayer = curGroup.findParentById("list-layer");
			var posterGroupLayers = listLayer.findItemsByClass("poster-group-layer");
			var listSlider = curGroup.findParentById("list-slider");
			var groupLayer = curGroup.findParentByClass("poster-group-layer");
			var curGroupId = groupLayer.getAttr("group-id");

			var lastActivePageId = ownerPage.__lastActivePageId;

			curGroup.makeChildVisible(this, 0.5/1.263);

			var switchEnlargeState = true;
			if (!ownerPage.__categoryMenuActivated) {
				switchEnlargeState = false;
			}
			ownerPage.__categoryMenuActivated = false;

			if (lastActivePageId!=curGroupId || switchEnlargeState) {
				for(var idx in posterGroupLayers) {
					var item = posterGroupLayers[idx];
					if (switchEnlargeState) {
						item.addClass("poster-group-enlarged-state");
					}
					var groupId = item.getAttr("group-id");
					if (groupId == lastActivePageId) {
						ownerPage.darkenPosterGroup(item.parent);
						if (!switchEnlargeState) {
							break;
						}
					}
				}

				if (switchEnlargeState) {
					var rootSlider = listLayer.findParentById("root-slider");
					rootSlider.makeChildVisible(listLayer, 0.0);

					listLayer.addClass("enlarged-list-layer");
					var categoryNameLayers = listLayer.findItemsByClass("category-name-layer");
					for(var idx in categoryNameLayers) {
						var item = categoryNameLayers[idx];
						item.addClass("show-category-name");
					}
				}

				listSlider.makeChildVisible(curGroup, 0.305, 0.0);
				ownerPage.lightenPosterGroup(groupLayer.parent);

				var categorySlider = ownerPage.findItemById("category-slider");
				var categoryItems = categorySlider.findItemsByClass("category-item");

				for(var idx in categoryItems) {
					var item = categoryItems[idx];
					var groupId = item.getAttr("group-id");
					if (groupId == curGroupId) {
						categorySlider.makeChildVisible(item);
						break;
					}
				}
			}

			if (this.id == "filter_button") {
				this.dispatchEvent("ai_open_main_media_asset_filter", "ai_focus", JSON.stringify({"media_asset_id":ownerPage.media_asset_id, "page_index":"0", "page_size":"40"}));
			} else if (this.id == "more_button") {
				var categoryId = this.getData("categoryId");
				var categoryName = this.getData("categoryName");
				this.dispatchEvent("ai_open_main_media_asset_category", "ai_focus",  JSON.stringify({"media_asset_id":ownerPage.media_asset_id, "category_id":categoryId, "page_index":"0", "page_size":"42"}));
			} else if (this.hasClass("poster-item-special")){
			   // var id = this.getData("id");
			   // this.dispatchEvent("ai_open_main_special", "ai_focus",  JSON.stringify({"special_id":id}));
			    this.dispatchEvent("ai_null", "ai_focus", "");
			} else {
				var categoryId = this.getData("categoryId");
				var videoId = this.getData("videoId");
				var videoType = this.getData("videoType");
				var viewType = this.getData("viewType");
				var name = this.getData("posterName");
				var imgUrl = this.children[0].getAttr("img.3");
				this.dispatchEvent("ai_open_video_detail", "ai_focus",  JSON.stringify({"video_id":videoId, "video_type":videoType, "view_type":viewType, "media_asset_id":ownerPage.media_asset_id, "category_id":categoryId}));
			}

			//设置focusID以便解决点击列表页海报后，返回列表页焦点快速移到播放记录上，这时才刷新播放记录，焦点消失的问题
            if(this.id == "component_playlist"){
                var page_playlist = this.parent;
                var img_item = this.findItemById("poster_image");
                page_playlist.setAttr("focusID",img_item.getData("idx"));
            }else{
            	//设置click_category_type = other以便解决点击列表页除播放记录外海报后，返回列表页这时才刷新播放记录，焦点消重新返回到播放记录上
                var group_slider = this.ownerPage.findItemsByClass("poster-group");
                for(var idx in group_slider){
                    group_slider[idx].setAttr("click_category_type","other");
                }
            }
		};

		VideoListPage__category_item__on_focus = function() {
			var ownerPage = this.ownerPage;
			var listLayer = ownerPage.findItemById("list-layer");
			var posterGroupLayers = listLayer.findItemsByClass("poster-group-layer");
			var curGroupId = this.getAttr("group-id");
			var curGroup;
			var groupLayer;

			var switchEnlargeState = true;
			if (ownerPage.__categoryMenuActivated) {
				switchEnlargeState = false;
			}
			ownerPage.__categoryMenuActivated = true;

			var lastActivePageId = ownerPage.__lastActivePageId;

			for(var idx in posterGroupLayers) {
				var item = posterGroupLayers[idx];
				if (switchEnlargeState) {
					item.removeClass("poster-group-enlarged-state");
				}
				var groupId = item.getAttr("group-id");
				if (curGroupId == groupId) {
					curGroup = item.findItemById("group-slider");
					ownerPage.lightenPosterGroup(item.parent);
					groupLayer = item;
				} else if (lastActivePageId == groupId) {
					ownerPage.darkenPosterGroup(item.parent);
				}
			}

			var listSlider = curGroup.findParentById("list-slider");

			if (switchEnlargeState) {
				var rootSlider = listLayer.findParentById("root-slider");
				rootSlider.scrollTo(0);

				listLayer.removeClass("enlarged-list-layer");
				var categoryNameLayers = listLayer.findItemsByClass("category-name-layer");
				for(var idx in categoryNameLayers) {
					var item = categoryNameLayers[idx];
					item.removeClass("show-category-name");
				}
			}

			listSlider.makeChildVisible(curGroup, 0.305, 0.0);

			var dynFocus = groupLayer.getDynamicFocus();
			if (!dynFocus) {
				dynFocus =  groupLayer.findItemsByClass("poster-item")[0];
			}
			listLayer.setDynamicFocus(dynFocus);
		};

		VideoListPage__category_slider__indicatorChanged = function() {
			var indicator = arguments[0];
			var visible = arguments[1];
			if (indicator == "top") {
				var searchLayer = this.ownerPage.findItemById("search-layer");
				if (!searchLayer) {
					return;
				}
				if (visible) {
					searchLayer.addClass("hide-search-layer");
				} else {
					searchLayer.removeClass("hide-search-layer");
				}
			}
		};

		VideoListPage__category_slider__incrementalBindingUpdate = function() {
			logger.d("incrementalBindingUpdate id:", arguments[0], " idx:", arguments[1], "/", arguments[2], " obj:", arguments[3]);
			// arguments[3].addClass("add-border");
		};

		VideoListPage__category_slider__incrementalBindingFinished = function() {
			logger.d("incrementalBindingFinished id:", arguments[0]);
			// 增量绑定完成以后才开始刷猜你喜欢的数据,原因是同时刷xul可能会出现问题.
			// 暂定方案,待xul解决此问题后,通过更新xul代码来解决.
			this.dispatchEvent("incrementalBindingFinished", "refreshGuessLikeAndPlaylist", "");
		};

		VideoListPage_history_updated = function(){
            var count = this.getData("all_play_history_count");
            if (count == "" || count == null) {
                count = 0;
            }
            this.findParentByClass("poster-group-layer-class").setStyle("display", count > 0 ? "block" : "none");

            var categorys = this.ownerPage.findItemsByClass("category-item-component-class");
            for (var idx in categorys) {
                var category_type = categorys[idx].getData("category_type");
                if (category_type == "9") {
                    categorys[idx].setStyle("display",  count > 0 ? "block" : "none");
                }
            }
		};

        VideoListPage_root_layer_removeEmptyLine = function(){
            var total_video_rows = this.getData("total_video_rows");
            var total_special_rows = this.getData("total_special_rows");
            var category_type = this.getData("category_type");
            if(category_type == "9"){
//               var all_play_history_count = this.getData("all_play_history_count");
//               if(all_play_history_count == "" || all_play_history_count == null){
//                    this.setStyle("display","none");
//                }
            } else if(category_type == "8"){
//                 var all_guess_like_count = this.getData("all_guess_like_count");
//                if(all_guess_like_count == "" || all_guess_like_count == null){
//                    this.setStyle("display","none");
//
//                }else{
//                }
            } else{
                if(total_video_rows == ""){
                    total_video_rows = 0;
                }
                if(total_special_rows == ""){
                    total_special_rows = 0;
                }
                var total_video = parseInt(total_video_rows)+parseInt(total_special_rows);
                if(total_video == 0){
                    this.setStyle("display","none");
                }
            }
        };

        VideoListPage_adaptive_default_star = function(){
            var categoryType = this.getData("categoryType");
            var poster_item_image = this.findItemsByClass("poster-item-image");
            if(categoryType == "10"){
                if(poster_item_image != null){
                    poster_item_image[0].setAttr("img.1","file:///.assets/videolist/default_star.png");
                    poster_item_image[0].setAttr("img.2","");
                }
//                this.removeClass("poster-item");
                this.setAttr("page_area","videolist_star");
                this.addClass("poster-item-star");
            }
        };

})("VideoListPage");

(function() {
		Component__page_playlist__item_on_update = function(){
		    var list_slider = this.ownerPage.findItemById("list-slider");
		    //设置标志位isPlayHistoryChanged ，解决列表页点击播放影片后播放历史数据改变，返回列表页出现改栏被压黑
		    if(list_slider != null){
		        list_slider.setAttr("isPlayHistoryChanged","true");
		    }
            var group_slider = this.ownerPage.findItemsByClass("poster-group");
            var isFocused = 0;
            //处理进入播放历史的更多页再返回列表页时，播放历史数据改变，焦点再次聚焦在更多页按钮上
            for(var idx in group_slider){
                var more_button = group_slider[idx].findItemById("more_button");
                if(group_slider[idx].getAttr("click_category_type") == "9" && more_button.getData("categoryType") == "9"){
                	if(!more_button.isFocused){
                        more_button.requestFocus();
                        group_slider[idx].setAttr("click_category_type","-1")
                        isFocused = 1;
                	}
                }else if(group_slider[idx].getAttr("click_category_type") == "other"){
                    isFocused = 1;
                }
            }
            //根据设置的focusID 来设置当重新返回列表页时播放历史数据改变，焦点能够聚焦到原来的海报上
		    if(isFocused == 0){
                var focusID = this.parent.parent.getAttr("focusID");
                var poster_image = this.parent.findItemById("poster_image");

                if(focusID == poster_image.getData("idx")){
                    this.parent.requestFocus();
                    this.parent.parent.setAttr("focusID","-1");
                }
		    }
        };

        Component__page_playlist__item_on_click = function() {
        //设置focusID 来以便重新返回列表页时播放历史数据改变，焦点能够聚焦到原来的海报上
            var page_playlist = this.parent;
        	var img_item = this.findItemById("poster_image");
        	page_playlist.setAttr("focusID",img_item.getData("idx"));
            this.dispatchEvent("usr_cmd", "usr_cmd", this.getData("action"));
        };
        Component__page_playlist_media_mode_binding_finished = function() {
             var value = this.getAttr("text");
             if(value == "播放至0%" || value == "播放至100%"){
                 this.setAttr("text","");
                 this.setStyle("display","none");
                 this.removeClass("poster_info_font_background");
             }
        };
})("filter-play-history-list-9");

(function() {
		Component__category_item__componentChanged = function() {
			var groupName = this.getAttr("group-name");
			var groupId = this.getAttr("group-id");
			categoryItem = this.children[0];
			categoryItem.setAttr("group-id", groupId);
			categoryItem.children[0].setAttr("text", groupName);
		};
})("category-item");

(function() {
		MorePage__poster_item__on_focus = function() {
            var filmListView = this.findParentById("film_list_view");
            var idx = filmListView.getItemIdx(this);
            this.dispatchEvent("focus", "load_more_data", JSON.stringify({"idx":idx}));

            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var media_asset_id = this.getData("media_asset_id");
            var categoryId = this.getData("categoryId");
            var categoryType = this.getData("categoryType");
            //由于专题的更多页每行海报只有3个，而其他的更多页每行有6个
            if("2" == categoryType){
                if(idx < 3){
                    var page = this.ownerPage.findItemById("page_cotent");
                    page.scrollTo(0);
                }
            }else{
                if(idx < 6){
                    var page = this.ownerPage.findItemById("page_cotent");
                    page.scrollTo(0);
                }
            }
            this.dispatchEvent("ai_open_video_detail", "ai_focus", JSON.stringify({"video_id":videoId, "video_type":videoType, "view_type":viewType, "media_asset_id":media_asset_id, "category_id":categoryId}));
		};

		MorePage__poster_item__on_click = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var posterImage = this.children[0];
            var name = posterImage.getAttr("text");
            var imgUrl = posterImage.getAttr("img.3");
            this.dispatchEvent("click", "open_detail_page",  JSON.stringify({"videoId":videoId, "videoType":videoType, "viewType":viewType, "name":name, "imgUrl":imgUrl}));
		};

		MorePage__special_poster_item__on_click = function(){
            var id = this.getData("id");
            var name = this.getData("name");
            var poster = this.getData("poster");
            var type = this.getData("type");
            var url = this.getData("url");
            var play_type = this.getData("play_type");
            var summary = this.getData("summary")
            var online_mode = this.getData("online_mode")
            var category_id = this.getData("categoryId");
            this.dispatchEvent("click", "open_special_page", JSON.stringify({"id":id, "name":name, "categoryId":category_id,
                 "poster":poster, "type":type, "url":url, "play_type":play_type, "summary":summary, "online_mode":online_mode}));
		};

		MorePage__poster_item_star__on_click = function(){
		    var actor_name = this.getData("actor_name");
            var actor_id = this.getData("actor_id");
            var label_id = this.getData("label_id");
            this.dispatchEvent("click", "open_star_detail", JSON.stringify({"actor_name":actor_name, "actor_id":actor_id, "label_id":label_id}));
		};
})("MorePage");

(function() {
		FilterPage__poster_item__on_focus = function() {
            var filmListView = this.findParentById("film_list_view");
            var idx = filmListView.getItemIdx(this);
            this.dispatchEvent("focus", "load_more_data", JSON.stringify({"idx":idx}));

            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var media_asset_id = this.getData("media_asset_id");
            this.dispatchEvent("ai_open_video_detail", "ai_focus",  JSON.stringify({"video_id":videoId, "video_type":videoType, "view_type":viewType, "media_asset_id":media_asset_id}));
		};

		FilterPage__poster_item__on_click = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var mediaAssetsId = this.getData("media_assets_id");
            var categoryId = this.getData("category_id");
            var posterImage = this.children[0];
            var name = posterImage.getAttr("text");
            var imgUrl = posterImage.getAttr("img.3");
            logger.d("poster onclick"+ " videoId = " + videoId + " imgUrl = " + imgUrl+",mediaAssetsId="+mediaAssetsId+",categoryId="+categoryId);
            this.dispatchEvent("click", "open_detail_page",  JSON.stringify({"videoId":videoId, "videoType":videoType, "viewType":viewType, "name":name, "imgUrl":imgUrl, "media_assets_id":mediaAssetsId, "category_id":categoryId}));
		};
})("FilterPage");
(function() {
		Component__poster_group__componentChanged = function() {
		    var isPlayHistoryChanged = "";
		    var list_slider = this.ownerPage.findItemById("list-slider");
            if(list_slider != null){
            	isPlayHistoryChanged = list_slider.getAttr("isPlayHistoryChanged");
            }
			var groupName = this.getAttr("group-name");
			var groupId = this.getAttr("group-id");
			var categoryName = this.findItemsByClass("category-name")[0];
			var posterGroupLayer = this.findItemsByClass("poster-group-layer")[0];
			var categoryNameLayer = this.findItemsByClass("category-name-layer")[0];
			categoryName.setAttr("text", groupName);
			posterGroupLayer.setAttr("group-id", groupId);

			if (this.ownerPage.__categoryMenuActivated != null && !this.ownerPage.__categoryMenuActivated) {
			    if (posterGroupLayer != null && !posterGroupLayer.hasClass("poster-group-enlarged-state")) {
			        posterGroupLayer.addClass("poster-group-enlarged-state");
			    }
			    if (categoryNameLayer != null && !categoryNameLayer.hasClass("show-category-name")) {
                	categoryNameLayer.addClass("show-category-name");
                }
			}

            if(isPlayHistoryChanged != "true"){
                var noDarkenLayer = this.getAttr("no-darken-layer");
                if (noDarkenLayer == "true") {
                    posterGroupLayer.parent.removeClass("darken-layer");
                } else {
                    posterGroupLayer.parent.addClass("darken-layer");
                }
            }
		};

		Component__poster_group__poster_item__updateinfo__bindingFinished = function() {
			var abstract = this.getData("abstract");
			var mark = this.getData("mark");
			if(abstract.length>0) {
				this.findItemsByClass("poster-item-abstract")[0].setAttr("text", abstract);
			}
			var hasRecom = (mark.indexOf("recom") > 0);
			if(hasRecom) {
				this.findItemsByClass("poster-item-recom")[0].setAttr("text", "荐");
			}

			if (abstract == "" && !hasRecom) {
				this.setStyle("display", "none");
			}
		};

		Component__poster_group__poster_item__on_click = function() {
			var categoryId = this.getData("categoryId");
			var videoId = this.getData("videoId");
			var videoType = this.getData("videoType");
			var viewType = this.getData("viewType");
			var indexUIStyle = this.getData("indexUIStyle");
			var name = this.getData("posterName");
			var imgUrl = this.children[0].getAttr("img.3");
			logger.d("poster onclick categoryId = " + categoryId + " videoId = " + videoId + " videoType = " + videoType + " viewType = " + viewType + " imgUrl = " + imgUrl + " indexUIStyle = " + indexUIStyle);
			this.dispatchEvent("click", "open_detail_page", JSON.stringify( {"categoryId":categoryId, "videoId":videoId, "videoType":videoType, "viewType":viewType,"name":name,"imgUrl":imgUrl ,"indexUIStyle":indexUIStyle}));
		};

		Component__poster_group__poster_item_special__on_click = function() {
        	var id = this.getData("id");
        	var name = this.getData("name");
        	var poster = this.getData("poster");
        	var type = this.getData("type");
        	var url = this.getData("url");
        	var play_type = this.getData("play_type");
        	var summary = this.getData("summary")
        	var online_mode = this.getData("online_mode")
        	var category_id = this.getData("categoryId");
        	this.dispatchEvent("click", "open_special_page", JSON.stringify({"id":id, "name":name, "categoryId":category_id,
        	    "poster":poster, "type":type, "url":url, "play_type":play_type, "summary":summary, "online_mode":online_mode}));
        };

		Component__poster_group__poster_item_more__on_click = function() {
			var categoryId = this.getData("categoryId");
			var categoryName = this.getData("categoryName");
			var totalVideo = this.children[0].getData("total_video");
			var totalSpecialVideo = this.children[0].getData("total_special_video");
			var categoryType = this.getData("categoryType");
			var all_play_history_count = this.children[0].getData("all_play_history_count");
			var all_guess_like_count = this.children[0].getData("all_guess_like_count");

			if(categoryType == "8"){
				this.dispatchEvent("click", "open_more_page", JSON.stringify({"categoryId":categoryId, "categoryName":categoryName, "totalVideo":all_guess_like_count, "categoryType":categoryType}));
			}else if(categoryType == "9"){
			    //标志点击播放历史的更多按钮，以便播放历史数据改变时返回到列表页获得焦点
                this.parent.setAttr("click_category_type","9");
			    this.dispatchEvent("click", "open_more_page", JSON.stringify({"categoryId":categoryId, "categoryName":categoryName, "totalVideo":all_play_history_count, "categoryType":categoryType}));
			}else if(categoryType == "2"){
                this.dispatchEvent("click", "open_more_page", JSON.stringify({"categoryId":categoryId, "categoryName":categoryName, "totalVideo":totalSpecialVideo, "categoryType":categoryType}));
			}else{
			    this.dispatchEvent("click", "open_more_page", JSON.stringify({"categoryId":categoryId, "categoryName":categoryName, "totalVideo":totalVideo, "categoryType":categoryType}));
            }
		};

		Component__poster_group__poster_item_star__on_click = function() {
		    var actor_name = this.getData("actor_name");
		    var actor_id = this.getData("actor_id");
		    var label_id = this.getData("label_id");
		    this.dispatchEvent("click", "open_star_detail", JSON.stringify({"actor_name":actor_name, "actor_id":actor_id, "label_id":label_id}));
		}

		Component__poster_group__poster_item_more__on_bindingFinished = function() {
			var categoryType = this.parent.getData("categoryType");
			if (categoryType == "8") {
			    // 猜你喜欢没有更多按钮
				this.parent.setStyle("display", "none");
 				return;
//                var all_guess_like_count = this.getData("all_guess_like_count");
//                if (all_guess_like_count == "" || all_guess_like_count == null) {
//                    all_guess_like_count = 0;
//                }
//                if(all_guess_like_count < this.ownerPage.video_size_per_category){
//                    this.parent.setStyle("display","none");
//                }
//                this.setAttr("text", "共" + all_guess_like_count + "结果");
//                return;
			}
			if(categoryType == "9"){
			    var all_play_history_count = this.getData("all_play_history_count");
			    if (all_play_history_count == "" || all_play_history_count == null) {
                	all_play_history_count = 0;
                }
                if(all_play_history_count < this.ownerPage.video_size_per_category){
                    this.parent.setStyle("display","none");
                }
//                this.setAttr("text", "共" + all_play_history_count + "结果");
				return;
			}

			if(categoryType == "2"){
            	var total_special_video = this.getData("total_special_video");
            	if (total_special_video == "" || total_special_video == null) {
            	    total_special_video = 0;
                }
                if(total_special_video < this.ownerPage.special_size_per_category){
                    this.parent.setStyle("display","none");
                }
//                this.setAttr("text", "共" + total_special_video + "结果");
            	return;
            }

			var total_video = this.getData("total_video");
            if (total_video == "" || total_video == null) {
				total_video = 0;
			}
			if(total_video < this.ownerPage.video_size_per_category){
                this.parent.setStyle("display","none");
            }
//			this.setAttr("text", "共" + total_video + "结果");
		};

		Component__poster_group__poster_item_more__on_bindingUpdated = function() {
		    var categoryType = this.parent.getData("categoryType");
            if(categoryType == "9"){
                var all_play_history_count = this.getData("all_play_history_count");
                if (all_play_history_count == "" || all_play_history_count == null) {
                    all_play_history_count = 0;
                }
                if(all_play_history_count < this.ownerPage.video_size_per_category){
                    this.parent.setStyle("display","none");
                }else{
                    this.parent.setStyle("display","block");
                }
               //                this.setAttr("text", "共" + all_play_history_count + "结果");
                return;
            }
		};


})("poster-group");
(function() {
		var setIndicator = function(item, type) {
			logger.d("setIndicator"+type);
			item.syncPages();
			var ownerPage = item.ownerPage;
			if(type==2){
				var watch_focus_indicator = ownerPage.findItemById("watch_focus_indicator");
				if(item.pageCount>0){
					if(item.pageCount==1){
                        watch_focus_indicator.setStyle("display","none");
                        return;
                    }
                    if(item.pageCount-1==item.currentPage){
                        watch_focus_indicator.setStyle("display","block");
                        watch_focus_indicator.addClass("indicator_up");
                        watch_focus_indicator.removeClass("indicator_down");
                    }else if(item.pageCount-1>item.currentPage){
                        watch_focus_indicator.setStyle("display","block");
                        watch_focus_indicator.addClass("indicator_down");
                        watch_focus_indicator.removeClass("indicator_up");
                    }else{
                        watch_focus_indicator.setStyle("display","none");
                    }
				}
			}else if(type==3){
				var watch_focus_date_indicator = ownerPage.findItemById("watch_focus_date_indicator");
				if(item.pageCount>0){
					if(item.pageCount==1){
                        watch_focus_date_indicator.setStyle("display","none");
                        return;
                    }
                    if(item.pageCount-1==item.currentPage){
                        watch_focus_date_indicator.setStyle("display","block");
                        watch_focus_date_indicator.addClass("indicator_up");
                        watch_focus_date_indicator.removeClass("indicator_down");
                    }else if(item.pageCount-1>item.currentPage){
                        watch_focus_date_indicator.setStyle("display","block");
                        watch_focus_date_indicator.addClass("indicator_down");
                        watch_focus_date_indicator.removeClass("indicator_up");
                    }else{
                        watch_focus_date_indicator.setStyle("display","none");
                    }
				}
			}else if(type==4){
				var preview_indicator = ownerPage.findItemById("preview_indicator");
				if(item.pageCount>0){
					if(item.pageCount==1){
                        preview_indicator.setStyle("display","none");
                        return;
                    }
                    if(item.pageCount-1==item.currentPage){
                        preview_indicator.setStyle("display","block");
                        preview_indicator.addClass("indicator_up");
                        preview_indicator.removeClass("indicator_down");
                    }else if(item.pageCount-1>item.currentPage){
                        preview_indicator.setStyle("display","block");
                        preview_indicator.addClass("indicator_down");
                        preview_indicator.removeClass("indicator_up");
                    }else{
                        preview_indicator.setStyle("display","none");
                    }
				}
			}
		};

		var makeContentVisible = function(item) {
			var ownerPage = item.ownerPage;
			var content_page = ownerPage.findItemById("content_page");
			var children_page = content_page.children;
			for(var idx in children_page){
				var child = children_page[idx];
				if (item.isChildOf(child)) {
					content_page.makeChildVisible(child,0.075,0);
					break;
				}
			}
		};

		DetailPage___on_appEvents_actionSuccess = function() {
			var collect_catch_button = this.ownerPage.findItemById("collect_catch_button");
			collect_catch_button.setAttr("text", arguments[0]);
			var buy_button = this.ownerPage.findItemById("buy_button");
			var collect_catch_button_image = this.ownerPage.findItemById("collect_catch_button_image");
			if(arguments[0].length==2){
				collect_catch_button.setStyle("margin-left","20");
				collect_catch_button_image.addClass("collect_button");
				collect_catch_button_image.removeClass("collect_button_solid");
			}else{
				if(buy_button.isVisible){
					collect_catch_button.setStyle("margin-left","0");
				}else{
					collect_catch_button.setStyle("margin-left","20");
				}
				collect_catch_button_image.addClass("collect_button_solid");
				collect_catch_button_image.removeClass("collect_button");

			}
		};

        DetailPage__category_bindingUpdated = function(){
            this.dispatchEvent("categoryBindingNotify", "categoryBindingNotify", "categoryBindingReady");
        }

		DetailPage___on_appEvents_checkPlayedEpisode = function() {
			var a2 = this.ownerPage.findItemById("watch_focus_episode");
			var a3 = this.ownerPage.findItemById("watch_focus_date_episode");
			if(a2){
				var btns = a2.findItemsByClass("watch_focus");
				var playedIndex = arguments[0];
				if(playedIndex !=-1){
					for(var idx in btns) {
						var btn = btns[idx];
						if (playedIndex == btn.getData("videoindex")) {
							logger.d("find played index",playedIndex);
							a2.setCurrentPage(btn.getData("pageindex"));
							btn.requestFocus();
							break;
						}
					}
				}
				for( var index in arguments ) {
					if(index==0){
						continue;
					}
					var videoindex = arguments[index];
					for(var idx in btns) {
						var btn = btns[idx];
						if (videoindex == btn.getData("videoindex")) {
							logger.d("find index",videoindex);
							btn.addClass("episode_check");
							break;
						}
					}
				}
			}else if(a3){
				var btns = a3.findItemsByClass("watch_focus_date_episode_item");
				var playedIndex = arguments[0];
				if(playedIndex !=-1){
					for(var idx in btns) {
						var btn = btns[idx];
						if (playedIndex == btn.getData("videoindex")) {
							logger.d("find played index",playedIndex);
							a3.setCurrentPage(btn.getData("pageindex"));
							btn.requestFocus();
							break;
						}
					}
				}
				for( var index in arguments ) {
					if(index==0){
						continue;
					}
					var videoindex = arguments[index];
					for(var idx in btns) {
						var btn = btns[idx];
						if (videoindex == btn.getData("videoindex")) {
							logger.d("find index",videoindex);
							var watch_focus_dates = btn.findItemsByClass("watch_focus_date");
							for(var childIndex in watch_focus_dates){
								watch_focus_dates[childIndex].addClass("episode_check");
							}
							break;
						}
					}
				}
			}
		};

		DetailPage___on_appEvents_checkPreviewPlayedEpisode = function() {
			var a1 = this.ownerPage.findItemById("preview");
			if(a1){
				var btns = a1.findItemsByClass("preview");
				var playedIndex = arguments[0];
				if(playedIndex !=-1){
					for(var idx in btns) {
						var btn = btns[idx];
						if (playedIndex == btn.getData("videoindex")) {
							logger.d("find played index",videoindex);
							a1.setCurrentPage(btn.getData("pageindex"));
							btn.requestFocus();
							break;
						}
					}
				}
				for( var index in arguments ) {
					if(index==0){
						continue;
					}
					var videoindex = arguments[index];
					for(var idx in btns) {
						var btn = btns[idx];
						if (videoindex == btn.getData("videoindex")) {
							logger.d("find index",videoindex);
							btn.addClass("episode_check");
							break;
						}
					}
				}
			}
		};

		DetailPage__title_menu__on_bindingFinished = function() {
			logger.d("菜单绑定完成");
			this.dispatchEvent("usr_cmd", "menuBar", "bindingUpdated");
		};

		DetailPage__detail_typeA__on_bindingUpdated = function() {
			this.dispatchEvent("usr_cmd", "detail", "bindingUpdated");
			var play_video_button = this.findItemById("play_video_button");
			play_video_button.requestFocus();
		};
		DetailPage__detail_info_bindingUpdated = function() {
			var detail_info = this.findParentById("detail_info");
			detail_info.setStyle("display","block");
		};

		DetailPage__detail_typeA__wish_number__on_bindingUpdated = function() {
			var wish_number = this.findParentById("wish_number");
			wish_number.setStyle("display","block");
			var val = this.getAttr("data1");
			var template = "<font color=\"#ffb92a\"><b><i><big><big><big>" +val.substr(0,1)+ "</big></big></big>" + val.substr(1) + "</i></b></font>";
			if(val.length>0){
				template=template+" 人观看";
			}
			logger.d("TEST", template);
			this.setAttr("text", template);
		};

		DetailPage__detail_typeA__button__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "A");
			this.dispatchEvent("ai_null", "ai_focus", "");
			makeContentVisible(this);
		};

		DetailPage_desc_text_more__button__on_focus = function() {
		    this.dispatchEvent("usr_cmd", "focus", "A");
        	this.dispatchEvent("ai_null", "ai_focus", "");
		    makeContentVisible(this);
		};

		DetailPage__detail_typeA__collect_catch_area__on_click = function() {
			var collect_catch_button = this.findItemById("collect_catch_button");
			var star = this.findItemById("star");
			var button_type = collect_catch_button.getData("button_type");
			var currentState = collect_catch_button.getAttr("text");
			if (button_type == "trace") {
				if (currentState == "追剧") {
					this.dispatchEvent("floatDetail", "floatDetail", JSON.stringify( {"cmd":"addTrace"}));
				} else {
					this.dispatchEvent("floatDetail", "floatDetail", JSON.stringify( {"cmd":"deleteTrace"}));
				}
			} else {
				if (currentState == "收藏") {
					this.dispatchEvent("floatDetail", "floatDetail", JSON.stringify( {"cmd":"addCollect"}));
				} else {
					this.dispatchEvent("floatDetail", "floatDetail", JSON.stringify( {"cmd":"deleteCollect"}));
				}
			}
		};
	DetailPage__detail_typeA__button__on_binding = function() {
	        logger.e("DetailPage__detail_typeA__button__on_binding");
	        var collect_catch_button_image = this.ownerPage.findItemById("collect_catch_button_image");
            var collect_catch_button = this.ownerPage.findItemById("collect_catch_button");
            var button_type = collect_catch_button.getData("button_type");
            var currentState = collect_catch_button.getAttr("text");
            if (button_type == "trace") {
                if (currentState == "追剧") {
                    collect_catch_button_image.addClass("collect_button");
                } else {
                    collect_catch_button_image.addClass("collect_button_solid");
                }
            } else {
                if (currentState == "收藏") {
                    collect_catch_button_image.addClass("collect_button");
                } else {
                    collect_catch_button_image.addClass("collect_button_solid");
                }
            }
		};
		DetailPage__detail_typeB1__number_episode__on_pageChanged = function() {
			setIndicator(this,1);
		};

		DetailPage__detail_typeB1__number_episode__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				setIndicator(this,1);
			}
		};

		DetailPage__detail_typeB2__number_episode__on_pageChanged = function() {
			setIndicator(this,2);
		};

		DetailPage__detail_typeB2__number_episode__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				setIndicator(this,2);
			}
		};

		DetailPage__detail_typeB3__number_episode__on_pageChanged = function() {
			setIndicator(this,3);
		};

		DetailPage__detail_typeB3__number_episode__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				setIndicator(this,3);
			}
		};

		DetailPage__detail_typeB3__item__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "B");
			this.dispatchEvent("ai_null", "ai_focus", "");
			var watch_focus_date_indicator = this.ownerPage.findItemById("watch_focus_date_indicator");
			if(watch_focus_date_indicator.isVisible){
				watch_focus_date_indicator.addClass("indicator_focus");
			}
			makeContentVisible(this);
		};

		DetailPage__detail_typeB3__item__on_blur = function() {
			var watch_focus_date_indicator = this.ownerPage.findItemById("watch_focus_date_indicator");
			if(watch_focus_date_indicator.isVisible){
				watch_focus_date_indicator.removeClass("indicator_focus");
			}
		};

		DetailPage__detail_typeC__on_pageChanged = function() {
			setIndicator(this,4);
		};

		DetailPage__detail_typeC__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				setIndicator(this,4);
			}
		};

		DetailPage__detail_typeD__on_indicatorChanged = function() {
			logger.d("明星indicator"+arguments[0]+" "+arguments[1]);
			var star_indicator = this.parent.findItemById("star_indicator");
			if("bottom"==arguments[0]){
				if(true==arguments[1]){
					star_indicator.setStyle("display","block");
					star_indicator.addClass("indicator_down");
					star_indicator.removeClass("indicator_up");
				}else{
					star_indicator.setStyle("display","none");
				}
			}
			if("top"==arguments[0]){
                    star_indicator.setStyle("display","block");
				if(true==arguments[1]){
                    star_indicator.addClass("indicator_up");
                    star_indicator.removeClass("indicator_down");
                }else{
                    star_indicator.addClass("indicator_down");
                    star_indicator.removeClass("indicator_up");
                }
			}
		};

		DetailPage__detail_typeD__item__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "D");
			var actor_id = this.getData("actor_id");
			this.dispatchEvent("ai_open_one_star", "ai_focus", JSON.stringify({"actor_id":actor_id}));
			var star_indicator = this.ownerPage.findItemById("star_indicator");
			if(star_indicator.isVisible){
				star_indicator.addClass("indicator_focus");
			}
			makeContentVisible(this);
			var round_star_bg = this.parent.findItemById("round_star_bg");
			round_star_bg.setAttr("img.0.visible","false");
			round_star_bg.setAttr("img.1.visible","true");
		};

		DetailPage__detail_typeD__item__on_blur = function() {
			var star_indicator = this.ownerPage.findItemById("star_indicator");
			if(star_indicator.isVisible){
				star_indicator.removeClass("indicator_focus");
			}
			var round_star_bg = this.parent.findItemById("round_star_bg");
			round_star_bg.setAttr("img.0.visible","true");
			round_star_bg.setAttr("img.1.visible","false");
		};

		DetailPage__episodeBindingNotify__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				this.setStyle("display","block");
				this.dispatchEvent("usr_cmd","episode", "episodeBindingFinish");
			}
		};

		DetailPage__bindingNotify__on_bindingUpdated = function() {
			var state = this.getData("state");
			if(state=="bindingUpdated"){
				this.setStyle("display","block");
			}
		};

		var setNumberItemState = function(item,focusState) {
			var isLocked = item.getAttr("isLocked");
			var isPlayed = item.getAttr("isPlayed");
			if(isLocked=="true"){
				 if(focusState=="on_focus"){
				    item.setAttr("img.0.visible","false");
				    item.setAttr("img.1.visible","true");
				 }else if(focusState =="on_blur"){
				    item.setAttr("img.0.visible","true");
                    item.setAttr("img.1.visible","false");
				 }
			}else if(isLocked=="false"){
				item.setAttr("img.0.visible","false");
                item.setAttr("img.1.visible","false");
			}
			logger.d("setNumberItemState focusState"+focusState+"isLocked"+isLocked+" isplayed"+isPlayed)
			if(focusState=="on_focus"){
                item.setStyle("font-color", "ffffffff");
            }else if(focusState =="on_blur"){
                if(isPlayed=="true"){
                    item.setStyle("font-color", "ff5e6281");
                }else if(isPlayed=="false"){
                    item.setStyle("font-color", "7fffffff");
                }
            }
        };


		DetailPage__episode_item__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "B");
			this.dispatchEvent("ai_null", "ai_focus", "");
			var number_indicator = this.ownerPage.findItemById("number_indicator");
			if(number_indicator.isVisible){
				number_indicator.addClass("indicator_focus");
			}
			var gridRoot = this.findParentByClass("grid-root");
			var focusItem = gridRoot.findItemById("button-type2-focus");
			focusItem.addClass("button-type2-focus-show");
			var dx = this.viewX - focusItem.viewX;
			var dy = this.viewY - focusItem.viewY;
			focusItem.parent.setStyle("translate", dx+","+dy);
			makeContentVisible(this);
			setNumberItemState(this,"on_focus");
		};

		DetailPage__episode_item__on_blur = function() {
			var number_indicator = this.ownerPage.findItemById("number_indicator");
			if(number_indicator.isVisible){
				number_indicator.removeClass("indicator_focus");
			}
			var gridRoot = this.findParentByClass("grid-root");
			var focusItem = gridRoot.findItemById("button-type2-focus");
			logger.d("button-type2 on blur");
			focusItem.removeClass("button-type2-focus-show");
			setNumberItemState(this,"on_blur");
		};

		DetailPage__watch_focus__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "B");
			this.dispatchEvent("ai_null", "ai_focus", "");
			var watch_focus_indicator = this.ownerPage.findItemById("watch_focus_indicator");
			if(watch_focus_indicator.isVisible){
				watch_focus_indicator.addClass("indicator_focus");
			}
			makeContentVisible(this);
		};

		DetailPage__watch_focus__on_blur = function() {
			var watch_focus_indicator = this.ownerPage.findItemById("watch_focus_indicator");
			if(watch_focus_indicator.isVisible){
				watch_focus_indicator.removeClass("indicator_focus");
			}
		};

		DetailPage__watch_focus__on_bindingUpdated = function() {
			var viewState = this.getData("viewstate");
			if (viewState == "1" ) {
				this.addClass("episode_check");
			}
		};

		DetailPage__watch_focus_date__on_bindingUpdated = function() {
			var viewState = this.getData("viewstate");
			if (viewState == "1" ) {
				this.addClass("episode_check");
			}
		};

		DetailPage__preview__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "C");
			this.dispatchEvent("ai_null", "ai_focus", "");
			var preview_indicator = this.ownerPage.findItemById("preview_indicator");
			if(preview_indicator.isVisible){
				preview_indicator.addClass("indicator_focus");
			}
			makeContentVisible(this);
		};

		DetailPage__preview__on_blur = function() {
			var preview_indicator = this.ownerPage.findItemById("preview_indicator");
			if(preview_indicator.isVisible){
				preview_indicator.removeClass("indicator_focus");
			}
		};

		DetailPage__preview__on_bindingUpdated = function() {
			var viewState = this.getData("viewstate");
			if (viewState == "1" ) {
				this.addClass("episode_check");
			}
		};

		DetailPage__related_recommended__on_focus = function() {
			this.dispatchEvent("usr_cmd", "focus", "E");
			var userdata = this.getData("userdata");
			var video_id = this.getData("video_id");
			var video_type = this.getData("video_type");
			var view_type = this.getData("view_type");
			this.dispatchEvent("ai_open_video_detail", "ai_focus", JSON.stringify({"video_id":video_id, "video_type":video_type,"view_type":view_type}));
			makeContentVisible(this);
		};

		DetailPage__related_recommended__on_click = function() {
			this.dispatchEvent("user_cmd", "poster", JSON.stringify( {"cmd":"poster_click"}));
		};

})("DetailPage");
(function() {
		ServicePage__left_area__button__on_focus = function() {
			this.dispatchEvent(this.getAttr("action"),"ai_focus");
		};
})("ServicePageV2");
(function() {
		PurchaseSuccess__on_ready = function() {
        var init_data = this.getAttr("__init_data__");
        logger.d("PurchaseSuccess init data:" + init_data);
        init_data = JSON.parse(init_data);
         //兑换卡是传递的了日期过来的 不用再查下订单状态
         if(init_data.product_name == "card"){
            logger.d("PurchaseSuccess init xxxdata:" + init_data);
            var date0 = init_data.start_date;
            var date1 = init_data.end_date;
            this.findItemById("success_img").addClass("success_image_vip");
            this.findItemById("success_name_0").setAttr("text","VIP会员");
            this.findItemById("success_name_0").setAttr("y","296");
            this.findItemById("title").setAttr("text","VIP会员开通成功!");
            this.findItemById("line_1").setAttr("text","服务时长：");
            this.findItemById("line_2").setAttr("text","有效日期：");
            this.findItemById("line_1_value").setAttr("text",init_data.days+" 天");
            this.findItemById("line_2_value").setAttr("text",date0 + " - " + date1);
            var button_2 = this.findItemById("button_2");
            button_2.addClass("button_sure_show");
            button_2.setStyle("display","block");
            button_2.requestFocus();
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"delay","time":"200"}));
         }else{//其他需要查下订单状态
            logger.d("PurchaseSuccess init 222data:" + init_data);
            var order_id = init_data.order_id;
            var path="file:///.app/info/orderstate/"+order_id;
            this.ownerPage.refreshBinding("orderstate",path);
         }
         this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify({"cmd":"stopLoading"}));
         this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify({"cmd":"sendXULBroadcast","name":"closePageOnPurchaseSuccess","data":[order_id]}));
         };
           PurchaseSuccess__bindingUpdated_ok = function() {
                    var init_data = this.ownerPage.getAttr("__init_data__");
                    init_data = JSON.parse(init_data);
                    //0--一般产品（vip） 1--观影券 2--单点 3--集合
                    var type = init_data.product_type;
                    var media_asset_type = this.ownerPage.queryBindingDataString("#media_asset_type/value");
                    var name = this.ownerPage.queryBindingDataString("#media_asset_type/name");
                    var video_type = this.ownerPage.queryBindingDataString("#media_asset_type/video_type");
                    var line_1 = this.findItemById("line_1");
                    var line_2 = this.findItemById("line_2");
                    var line_1_value = this.findItemById("line_1_value");
                    var line_2_value = this.findItemById("line_2_value");
                    var button_1 = this.findItemById("button_1");
                    var button_2 = this.findItemById("button_2");
                    var item_img = this.ownerPage.findItemById("success_img");
                    var success_name_0 = this.ownerPage.findItemById("success_name_0");
                    var success_name_1 = this.ownerPage.findItemById("success_name_1");
                    var title = this.findItemById("title");
                    logger.d("PurchaseSuccess__bindingUpdated_ok ",media_asset_type);

                    if(type == "0"){
                        item_img.addClass("success_image_vip");
                        success_name_0.setAttr("text",init_data.product_name);
                        success_name_0.setAttr("y","296");
                        title.setAttr("text","VIP会员开通成功!");
                        line_1.setAttr("text","服务时长：");
                        line_2.setAttr("text","有效日期：");
                        line_1_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/service_days"));
                        line_2_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/begin_end_days"));

                        this.findItemById("line_3").setAttr("text","本月送券：");
                        this.findItemById("line_3_value").setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/coupon"));
                        this.findItemById("line_3_value_desc").setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/coupon_end_date"));

                        if(name.length > 0){
                        if(video_type == "1"){
                            this.findItemById("line_4").setAttr("text","当前节目:");
                        }else{
                            this.findItemById("line_4").setAttr("text","当前影片:");
                        }
                            this.findItemById("line_4_value").setAttr("text",name);
                        }
                    }else if(type == "1"){
                        item_img.addClass("success_image_coupon");
                        success_name_0.setAttr("text","观影券");
                        success_name_1.setAttr("text","（通用）")
                        title.setAttr("text","观影券购买成功!");
                        line_1.setAttr("text","购买数量：");
                        line_2.setAttr("text","有效时长：");
                        line_1_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/coupon"));
                        line_2_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/begin_end_days"));

                        if(name.length > 0){
                            this.findItemById("line_3").setAttr("text","当前影片:");
                            this.findItemById("line_3_value").setAttr("text",name);
                        }
                     }else if(type == "2"){
                        item_img.addClass("success_image_media");
                        success_name_0.setAttr("text",init_data.product_name);
                        success_name_0.setAttr("y","296");
                        title.setAttr("text","单片开通成功!");
                        if(name.length > 0){
                            line_1.setAttr("text","购买影片:");
                            line_1_value.setAttr("text",name);
                        }
                        line_2.setAttr("text","服务时长：");
                        line_2_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/service_days"));
                        this.findItemById("line_3").setAttr("text","有效日期:");
                        this.findItemById("line_3_value").setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/begin_end_days"));
                     }else{
                        item_img.addClass("success_image_collections");
                        success_name_0.setAttr("text",init_data.product_name);
                        success_name_0.setAttr("y","296");
                        title.setAttr("text",init_data.product_name+"开通成功!");
                        line_1.setAttr("text","服务时长：");
                        line_2.setAttr("text","有效日期：");
                        line_1_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/service_days"));
                        line_2_value.setAttr("text",this.ownerPage.queryBindingDataString("#orderstate/begin_end_days"));
                        if(name.length > 0){
                            this.findItemById("line_3").setAttr("text","当前影片:");
                            this.findItemById("line_3_value").setAttr("text",name);
                        }
                     }
                     if(media_asset_type == "1"){ //用券
                        button_1.addClass("button_coupon_show");
                        button_2.addClass("button_back_show");
                     }else if(media_asset_type == "2"){ //vip 集合 单点
                        button_1.addClass("button_see_show");
                        button_2.addClass("button_back_show");
                     }else if(media_asset_type == "3"){ //用券+vip+集合
                         if(type == "1"){
                             button_1.addClass("button_coupon_show");
                             button_2.addClass("button_back_show");
                         }else{
                             button_1.addClass("button_see_show");
                             button_2.addClass("button_back_show");
                         }
                     }else{
                          button_2.addClass("button_sure_show");
                     }
                     if(button_1.getAttr("text").length >0){
                        button_1.setStyle("display","block");
                        button_2.setStyle("display","block");
                        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"delay","time":"200"}));
                        button_1.requestFocus();
                     }else{
                        button_2.setStyle("display","block");
                        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"delay","time":"200"}));
                        button_2.requestFocus();
                     }
           };
           PurchaseSuccess__on_button_1_click = function(){
                if(this.hasClass("button_coupon_show")){
                  this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"onMovieCouponClick"}));
                }else{
                  this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify({"cmd":"onMoviePlayClick"}));
                }
           };
           PurchaseSuccess__on_button_2_click = function(){
              if(this.hasClass("button_sure_show")){
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify({"cmd":"sendXULBroadcast","name":"closePageOnBackToUserCenter"}));
                var user_type = this.ownerPage.queryBindingDataString("#user_type/type");
                logger.d("user_type=" + user_type);
                if(user_type == "xiaomi"){
                    this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"XiaoMiUserCenter"}));
                }else{
                    this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"NewUserCenter"}));
                }
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"finishActivity"}));
              }else{
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"mgtvCloseUserCenter"}));
                }
           };
})("PurchaseSuccess");
(function() {
    PurchaseVIP__on_ready = function(){
        var items = this.ownerPage.findItemsByClass("button-minor-buy");
        if(items.length > 0){
            items[0].requestFocus();
        }

        var user = this.findItemById("user-area");
        user.setStyle("display","block");
        var box = this.findItemById("content-box");
        box.setStyle("display","block");
        this.findItemById("product_pic").setStyle("display","block");
        var info_title = this.ownerPage.findItemById("info-title");
        var asset_type = this.queryBindingDataString("#products/media_asset_type");
        if(asset_type == "2" || asset_type == "3"){
            info_title.setAttr("text","本片为收费影片，请您开通VIP或购买观影券观看");
            info_title.setAttr("text-click","本片为收费影片，请您开通VIP或购买观影券观看");
            info_title.setStyle("font-size","34")
        }else{
            if(asset_type == "1"){
                info_title.setStyle("font-size","34");
                info_title.setAttr("text","本片为用券影片，请您购买观影券或开通VIP获赠券观看");
                info_title.setAttr("text-click","本片为用券影片，请您购买观影券或开通VIP获赠券观看");
            }else{
                info_title.setAttr("text","订购中心");
                info_title.setAttr("text-click","选择您要购买的产品或服务");
            }
        }

        //关闭加载圈
        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
       };
       PurchaseVIP__on_product_checked = function(){
               var user_type = this.ownerPage.queryBindingDataString("#user_type/type");
               if(user_type == "xiaomi"){
                   var product_id = this.getAttr("product_id");
                   var product_name = this.getAttr("productName");
                   //芒果单位：元
                   var product_price = this.getAttr("productPrice");
                   //小米支付单位: 分
                   product_price = product_price * 100;
                   var product_type = this.getAttr("product_type");
                   this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startCheckXiaomiAccount","data":{"product_id":product_id,"product_name":product_name,"product_price":product_price,"product_type":product_type}}));
                   return;
               }
                //选中时候隐藏产品介绍图片
                var pic = this.ownerPage.findItemById("product_pic");
                var info_title = this.ownerPage.findItemById("info-title");

                //显示支付渠道
                var channel = this.ownerPage.findItemById("info-pay-channel");
                var info = this.ownerPage.findItemById("info-page-title");

                var items = this.ownerPage.findItemsByClass("pay-amount");
                var selected_0 = this.findItemById("product_price");
                var selected_1 = this.findItemById("product_name");
                var show_id = -1;
                for( var idx in items ) {
                    var item = items[idx];
                    var value = selected_0.getAttr("text");
                    item.setAttr("price", value);
                    //找到第一个非空的支付方式
                    if((item.parent.getData("code").length > 0)){
                        if(show_id == -1){
                            show_id = idx;
                        }
                    }
                }
                var bkg_item = this.findItemById("mode-bkg");

                this.ownerPage.popStates();
                this.requestFocus();
                if(show_id == -1){
                    show_id = 0;
                }
                this.ownerPage.pushStates(
                pic, "setStyle", "display", "none",
                channel, "setStyle", "display", "block",
                info, "setStyle", "display", "block",
                bkg_item, "addClass", "mode-bkg-img-checked",
                items[show_id].parent, "requestFocus",
                info_title, "setStyle", "font-size", "34","setAttr","text",info_title.getAttr("text-click")
                );
        };
        PurchaseVIP__on_product_name_bindingFinished = function(){
            var vip_type = this.parent.getAttr("vipType");
            if(vip_type == 1){
                this.removeClass("button-text");
                this.addClass("button-text-vip");
            }
        };
        PurchaseVIP__on_product_price_bindingFinished = function(){
            var value = this.getAttr("text");
            if(value == "0元"){
                this.setStyle("display","none");
            }else{
             this.setStyle("display","block");
            }
            var value_ori = this.getAttr("price");
            if(value_ori == value){
             this.setStyle("display","none");
            }
        };
        PurchaseVIP__on_product_unchecked = function(){
            var bkg_item = this.findItemById("mode-bkg");
            bkg_item.removeClass("mode-bkg-img-checked");
            bkg_item.removeClass("mode-bkg-img-checked-focus");
        };
        PurchaseVIP__on_product_focus = function(){
            var productInfo = this.getAttr("productInfo");
            var pic = this.ownerPage.findItemById("product_info");
            pic.setAttr("img.0", productInfo);

            var bkg_item = this.findItemById("mode-bkg");
            if (bkg_item.hasClass("mode-bkg-img-checked")) {
            bkg_item.removeClass("mode-bkg-img-checked");
            bkg_item.addClass("mode-bkg-img-checked-focus");
            }
        };
       PurchaseVIP__on_channel_bindingFinished = function(){
            var code = this.getData("code");
            if(code.length == 0){
                this.setStyle("display","none");
            }
       };
       PurchaseVIP__on_payment_click= function(){
            var amountlabel = this.findItemById("amount-label");
           var amount = amountlabel.getAttr("price");
           var code = this.getData("code");
           var items = this.ownerPage.findItemsByClass("button_radio_selected");
           var product_id = 0;
           var product_name = 0;
           var product_price = 0;
           var product_type = 0;
           for(var idx in items) {
               product_id = items[idx].getAttr("product_id");
               product_name = items[idx].getAttr("productName");
               product_price = items[idx].findItemById("product_price").getAttr("text");
               product_type = items[idx].getAttr("product_type");
           }
           logger.d("PurchaseVIP__on_payment_click:" + amountlabel + ", amount:" + amount + ", code:" + code +",product_id="+product_id+",product_name="+product_name+",product_price="+product_price);
           if("000000000010" == code){
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"mgtvBrowserPay", "data": { "amount" : amount, "code" : code, "orderid" : "", "productname" : product_name, "productid" : product_id,"type":"buy","product_type":product_type}}));
           }else{
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"Paymentorder", "data": { "amount" : amount, "code" : code, "orderid" : "-1", "productname" : product_name, "productid" : product_id,"product_type":product_type}}));
           }
       };
       PurchaseVIP__on_mango_amount_click= function(){
            var amountlabel = this.findItemById("amount-label");
            var amount = amountlabel.getAttr("price");
            var code = this.getData("code");
            var items = this.ownerPage.findItemsByClass("button_radio_selected");
            var product_id = 0;
            var product_name = 0;
            var button_name = 0;
            var product_price = 0;
            var product_type = 0;
            var time = 0;
            for(var idx in items) {
            product_id = items[idx].getAttr("product_id");
            product_type = items[idx].getAttr("product_type");
            product_name = items[idx].getAttr("productName");
            button_name = items[idx].findItemById("product_name").getAttr("text");
            product_price = items[idx].findItemById("product_price").getAttr("text");
            time = items[idx].getAttr("time");
            }
            logger.d("PurchaseVIP__on_mango_amount_click:" + amountlabel + ", amount:" + amount + ", code:" + code +",product_id="+product_id+",product_name="+product_name+",product_price="+product_price+"time="+time);
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"MgtvPurchaseMode", "data":
            {
            "product_id":product_id,
            "product_name":product_name,
            "button_name":button_name,
            "product_price":product_price,
            "code" : code,
            "time" : time,
            "product_type" : product_type,
            }}));
       };
       PurchaseVIP__on_sms_pay_click = function(){
            var product_id = this.getAttr("product_id");
            var product_name = this.getAttr("product_name");
            var product_price = this.getAttr("product_price");
            var channel = this.getAttr("channel");

            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"SMSPayPage", "data":
            { "product_id":product_id,
            "product_name":product_name,
            "product_price":product_price,
            "channel" : channel}}));
       };
       PurchaseVIP__on_sms_pay_focus = function(){
        var productInfo = this.getAttr("productInfo");
        var pic = this.ownerPage.findItemById("product_info");
        pic.setAttr("img.0", productInfo);
       };
})("PurchaseVIP");
(function() {
        Recharge__on_load_action = function(){
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startLoading"}));
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify({"cmd":"__init__"}));
        };
        Recharge__on_ready_action = function(){
            var mode_0_item = this.findItemById("mode-0");
            var should_pay_amount =  mode_0_item.findItemById("should-pay-amount");
            var  amount = should_pay_amount.getAttr("text");
            logger.d("Recharge init amount:" + amount);

            var recharge_title = this.findItemById("recharge_title");
            var purchase_title = this.findItemById("purchase_title");
            var recharge_title_balance = this.findItemById("recharge_title_balance");
            var pageBinding = "file:///.app/info/pricelist";

            var init_data = this.getAttr("__init_data__");
            logger.d("Recharge init data:" + init_data);
            init_data = JSON.parse(init_data);

            if (init_data.product_name != "none") {
            // 购买产品的时候,芒果币不足的情况
            // 这种情况下渠道必然是芒果币支付,需要先获取到订单id,充值的时候直接购买产品

            // 显示并设置购买产品时候的标题
            purchase_title.setStyle("display", "block");
            var product_name = init_data.product_name;
            var product_name_label = this.findItemById("product_name_label");
            product_name_label.setAttr("text", product_name);

            // 补差价格获取并显示
            init_data.order_msg = init_data.order_msg.replace('[' , '').replace(']' , '');
            var myArray = init_data.order_msg.split(',');
            for( var idx in myArray ) {
            pageBinding += ("/" + myArray[idx]);
            }
            var should_pay_amount_label = this.findItemById("should_pay_amount_label");
            should_pay_amount_label.setAttr("text", (myArray[0] + "芒果币"));

            // 设置订单号和产品号
            var contentbox = this.findItemById("content-box");
            contentbox.setAttr("orderid", init_data.order_id);
            contentbox.setAttr("productid", init_data.product_id);
            contentbox.setAttr("product_type", init_data.product_type);
            } else {
            // 直接充值
            recharge_title.setStyle("display", "block");
            recharge_title_balance.setAttr("text", init_data.balance+"芒果币");
            }

            logger.e("Recharge pageBinding:" + pageBinding);
            this.ownerPage.refreshBinding("pricelist", pageBinding);

            this.findItemById("page-title").setStyle("display","block");
            this.findItemById("page-user").setStyle("display","block");
            this.findItemById("recharge_type").setStyle("display","block");
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
        };
        Recharge__closePageOnPurchaseSuccess = function(){
            var id = arguments[0];
            var init_data = this.ownerPage.getAttr("__init_data__");
            init_data = JSON.parse(init_data);

            var order_id = init_data.order_id;

            logger.e("appEvents:Broadcast:closePageOnPurchaseSuccess close id=",id,"order_id=",order_id);

            if(order_id == id){
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"finishActivity"}));
            }
        };
        Recharge__on_mgb_checked = function(){
            var bkg_item = this.findItemById("mode-bkg");
            bkg_item.addClass("mode-bkg-img-checked-focus");
            //设置支付方式有焦点
            var pages = this.ownerPage.findItemsByClass("info-page");
            for( var idx in pages ) {
                //找到第一个非空的支付方式
                if((pages[idx].getData("code").length > 0)){
                pages[idx].requestFocus();
                break;
                }
            }
            var items = this.ownerPage.findItemsByClass("pay-amount");
            var selected = this.findItemById("should-pay-amount");
            for( var idx in items ) {
                var item = items[idx];
                item.setAttr("price", selected.getAttr("text")+"元");
            }
         };
        Recharge__on_mgb_unchecked = function(){
            var bkg_item = this.findItemById("mode-bkg");
            bkg_item.removeClass("mode-bkg-img-checked");
            bkg_item.removeClass("mode-bkg-img-checked-focus");
        };
        Recharge__on_mgb_focus = function(){
            var bkg_item = this.findItemById("mode-bkg");
            if (bkg_item.hasClass("mode-bkg-img-checked")) {
                bkg_item.removeClass("mode-bkg-img-checked");
                bkg_item.addClass("mode-bkg-img-checked-focus");
            }
        };
        Recharge__on_mgb_bur = function(){
            var bkg_item = this.findItemById("mode-bkg");
            if (bkg_item.hasClass("mode-bkg-img-checked-focus")) {
                bkg_item.removeClass("mode-bkg-img-checked-focus");
                bkg_item.addClass("mode-bkg-img-checked");
             }
        };
        Recharge__should_pay_amount_update = function(){
            // 价格列表更新
            var amount = this.getAttr("text")+"";
            var bkg_item = this.parent.findItemById("mode-bkg");
            if (amount != "") {
            this.parent.removeClass("placeholder");
            this.parent.addClass("mode-focus");
            var unit = this.parent.findItemById("unit");
            unit.setAttr("text", "芒果币");

            if (this.parent.hasClass("button_radio_selected")) {
                var items = this.ownerPage.findItemsByClass("pay-amount");
                var bkg_item = this.parent.findItemById("mode-bkg");
                bkg_item.addClass("mode-bkg-img-checked");
                }
            }
            //设置支付方式有焦点
            var pages = this.ownerPage.findItemsByClass("info-page");
            for( var idx in pages ) {
            var item = pages[idx];
            item.addClass("mode-focus");
            }
        };
        Recharge__pay_button_click = function(){
            var items = this.ownerPage.findItemsByClass("button_event");
            var amount = "";
            for(var idx in items){
                if(items[idx].hasClass("button_radio_selected")){
                    selected = items[idx].findItemById("should-pay-amount");
                    amount = selected.getAttr("text")+"元";
                    break;
                }
            }
            var code = this.getData("code");                   //充值渠道

            //订单号,产品号,产品名称,直接充值的时候为空,购买产品时候走的流程
            var contentbox = this.ownerPage.findItemById("content-box");
            var orderid = contentbox.getAttr("orderid");
            var productid = contentbox.getAttr("productid");
            var product_type = contentbox.getAttr("product_type");
            var product_name_label = this.ownerPage.findItemById("product_name_label");
            var productname = product_name_label.getAttr("text");

            logger.d("Recharge__pay_button_click(Payment) amount:" + amount + ", code:" + code + ", orderid:" + orderid + ", productname:" + productname);
            if("000000000010" == code){
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"mgtvBrowserPay", "data": { "amount" : amount, "code" : code, "orderid" : orderid, "productname" : productname, "productid" : productid,"type":"recharge"}}));
            }else{
                this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity", "page":"Payment", "data": { "amount" : amount, "code" : code, "orderid" : orderid, "productname" : productname, "productid" : productid,"product_type":product_type}}));
            }
        };
        Recharge__should_pay_amount_bindingFinished = function(){
            var code = this.getData("code");
            if(code.length == 0){
                this.setStyle("display","none");
            }
        };
        Recharge__on_mgb_bindingFinished = function(){

        };
})("Recharge");
(function() {
        MyMediaV2__poster_item__on_click = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var type = this.getData("type");
            var posterImage = this.children[0];
            var name = posterImage.getAttr("text");
            var imgUrl = posterImage.getAttr("img.2");
            var filmListView = this.findParentById("film_list_view");
            var idx = filmListView.getItemIdx(this);
            if(posterImage.hasClass("poster-delete-img")){
                this.dispatchEvent("click", "onDeleteButtonClick",  JSON.stringify({"videoId":videoId,"type":type,"id":idx}));
            }else{
                var media_asset_id = this.getData("media_asset_id");
                var categoryId = this.getData("categoryId");
                this.dispatchEvent("click", "open_poster",  JSON.stringify({"media_asset_id": media_asset_id, "categoryId":categoryId,"videoId":videoId, "videoType":videoType, "name":name, "imgUrl":imgUrl, "type":type,"idx":idx}));
            }
        };
        MyMediaV2__poster_item__on_focus = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var media_asset_id = this.getData("media_asset_id");
            var categoryId = this.getData("categoryId");
            this.dispatchEvent("ai_open_video_detail", "ai_focus",  JSON.stringify({"video_id":videoId, "video_type":videoType, "media_asset_id":media_asset_id, "category_id":categoryId}));

        };
})("MyMediaV2");
(function() {
        Player__episode_item__on_focus = function() {
			setItemState(this,"on_focus");
        };
        Player__episode_item__on_blur = function() {
			setItemState(this,"on_blur");
        };
        var setItemState = function(item, focusState) {
            var isLocked = item.getAttr("isLocked") == "true";
            var isSelected = item.getAttr("isSelected") == "true";
            var isFocused = (focusState == "on_focus");

			logger.d("setItemState focusState: " + focusState + ", isLocked:" + isLocked + ", isSelected: " + isSelected + ", isFocused: " + isFocused);

            var normalBgColor = "00FFFFFF";
            var focusBgColor = "FF7484E7";
            var selBgColor = "FF292A41";

            var normalFontColor = "FFB4B7D5";
            var focusFontColor = "FFFFFFFF";
            var selFontColor = normalFontColor;

			var bgColor = normalBgColor;
			var fontColor = normalFontColor;
			if (isFocused) {
				bgColor = focusBgColor;
				fontColor = focusFontColor;

				if(isLocked) {
					item.setAttr("img.0.visible","false");
					item.setAttr("img.1.visible","true");
				}else{
					item.setAttr("img.0.visible","false");
					item.setAttr("img.1.visible","false");
				}
			} else {
				if (isSelected) {
					bgColor = selBgColor;
					fontColor = selFontColor;
				}

				if(isLocked) {
					item.setAttr("img.0.visible","true");
					item.setAttr("img.1.visible","false");
				}else{
					item.setAttr("img.0.visible","false");
					item.setAttr("img.1.visible","false");
				}
			}

			item.setStyle("background-color", bgColor);
			item.setStyle("font-color", fontColor);

        };
})("MplayerEpisodeView");
(function() {
    NewUserCenter__on_load = function(){
        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startLoading"}));
        this.initUI = function() {
            var account = this.queryBindingDataString("#user_info/account") + "";
            //判断是否显示观影卷红点提示
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"isDisplayMovieCouponHint","user_id":account}));
            var mode = this.queryBindingDataString("#user_info/mode") + "";
            var webchat_type = this.queryBindingDataString("#user_info/wechat_type") + "";

            var account_name = this.findItemById("account_name");
            var account_nick = this.ownerPage.findItemById("account_nick");
            var password_change = this.findItemById("password_change");
            var webchat_bind_button = this.findItemById("webchat_bind_button");
            var webchat_unbind_button = this.findItemById("webchat_unbind_button");

            //账号：只有芒果登录才显示账号　更改密码
            //解绑绑定微信：只有芒果登录才显示
            if(mode == "mgtv"){
                account_name.setStyle("display","block");
                password_change.setStyle("display","block");
                if(webchat_type.length == 0){
                    webchat_bind_button.setStyle("display","block");
                }else{
                    webchat_unbind_button.setStyle("display","block");
                    account_nick.setStyle("display","block");
                }
            }else{
                account_name.setStyle("display","none");
                password_change.setStyle("display","none");
                //第三方登录或者微信 调整昵称位置
                account_nick.setAttr("y","290");
                account_nick.setStyle("display","block");
            }
        };

    };
    NewUserCenter__on_ready = function(){
        this.ownerPage.initUI();
    };
    NewUserCenter__on_updateDisplayMovieCouponHint = function(){
           //根据从数据库查询返回的数据设置观影卷红点提示状态
            var binding_presenter_movie_coupon = this.ownerPage.queryBindingDataString("#movie_coupon_count/presenter_movie_coupon") + "";
            var database_presenter_movie_coupon = arguments[0];
            var movie_couponRed_dot_state = arguments[1];
            var movie_coupons_hint = this.ownerPage.findItemById("movie_coupons_hint");
            if(database_presenter_movie_coupon=="0"){
                //第一次进入（首次注册登录保存的观影卷数量为0）。或者赠送的卷为0
                if(parseInt(binding_presenter_movie_coupon)>0){
                    movie_coupons_hint.setStyle("display","block");
                }else{
                    movie_coupons_hint.setStyle("display","none");
                }
            }else{
                //不是第一次进入
                if(parseInt(binding_presenter_movie_coupon)> parseInt(database_presenter_movie_coupon)){
                    movie_coupons_hint.setStyle("display","block");
                }else {
                    if(movie_couponRed_dot_state == "block"){
                        movie_coupons_hint.setStyle("display","block");
                    }else{
                        movie_coupons_hint.setStyle("display","none");
                    }
                }
            }
            var account = this.ownerPage.queryBindingDataString("#user_info/account") + "";
            var movie_couponRed_dot_state = movie_coupons_hint.getStyle("display");
            //更新数据库里观影卷红点提信息
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"updateMovieCouponHintInfo","user_id":account,"presenter_movie_coupon":binding_presenter_movie_coupon,"movie_couponRed_dot_state":movie_couponRed_dot_state}));
    };
    NewUserCenter__on_updateUserCenterOnBindSuccess = function(){
           //刷新用户信息
            var path = "file:///.app/info/user";
            this.ownerPage.refreshBinding("user_info", path);
            this.ownerPage.refreshBinding("movie_coupon_count", "file:///.app/info/movie_coupon_count");
            //显示解绑微信按钮
            var webchat_unbind_button = this.findItemById("webchat_unbind_button");
            webchat_unbind_button.setStyle("display","block");
            //显示昵称
            var account_nick = this.ownerPage.findItemById("account_nick");
            account_nick.setStyle("display","block");
            //设置焦点
            this.ownerPage.popStates();
            var view = this.ownerPage.findItemById("vip_open");
            view.requestFocus();
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
    };
    NewUserCenter__OnActivityResume = function(){
          this.ownerPage.refreshBinding("user_info", "file:///.app/info/user");
          this.ownerPage.refreshBinding("movie_coupon_count", "file:///.app/info/movie_coupon_count");
    };
    NewUserCenter__unbindWebchatFailed = function(){
        //解绑失败
        logger.d("appEvents:unbindWebchatFailed !!");
        //关闭解绑页面
        var item = this.ownerPage.findItemById("webchat_unbind_page");
        item.setStyle("display","none");
        this.ownerPage.popStates();
        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
    };
    NewUserCenter__unbindWebchatSucessed = function(){
            //解绑成功
            logger.d("appEvents:unbindWebchatSucessed !!");
            //刷新用户信息
            var path = "file:///.app/info/user";
            this.ownerPage.refreshBinding("user_info", path);
            //关闭解绑页面
            var page = this.ownerPage.findItemById("webchat_unbind_page");
            page.setStyle("display","none");
            //显示绑定按钮
            var unbind = this.ownerPage.findItemById("webchat_unbind_button");
            unbind.setStyle("display","none");
            var bind = this.ownerPage.findItemById("webchat_bind_button");
            bind.setStyle("display","block");
            //设置焦点
            this.ownerPage.popStates();
            var view = this.ownerPage.findItemById("vip_open");
            view.requestFocus();
            //隐藏昵称
            var account_nick = this.ownerPage.findItemById("account_nick");
            account_nick.setStyle("display","none");
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
    };

    NewUserCenter__vip_power_bindingFinished = function(){
        var vip_id = this.getAttr("vip_id");
        if(vip_id == "1"){
            this.setStyle("display","block");
        }else{
            this.setStyle("display","none");
        }
    };
    NewUserCenter__vip_state_bindingOK = function(){
        var date = this.getAttr("vip_end_date");
        var vip_name = this.getAttr("vip_name");
        var vip_id = this.getAttr("vip_id");
//        0 是普通会员
//        1 是vip会员
//        2 是去广告会员
        var state_name = this.parent.findItemById("vip_state_name");
        if(vip_id == 1){
            state_name.setAttr("text","VIP到期时间: ");
            this.setAttr("text",date);
        }else{
            state_name.setAttr("text","会员状态: ");
            this.setAttr("text",vip_name);
        }
    };
})("NewUserCenter");
(function(){
    XiaoMiUserCenter_set_vip_des = function(){
        var date = this.getAttr("vip_end_date");
        var vip_name = this.getAttr("vip_name");
        var vip_id = this.getAttr("vip_id");
        var state_name = this.parent.findItemById("vip_state_name");
        if(vip_id == 1){
            state_name.setAttr("text","VIP到期时间: ");
            this.setAttr("text",date);
        }else{
            state_name.setAttr("text","会员状态: ");
            this.setAttr("text",vip_name);
        }
    };
    XiaoMiUserCenter_updateDisplayMovieCouponHint = function(){
           //根据从数据库查询返回的数据设置观影卷红点提示状态
            var binding_presenter_movie_coupon = this.ownerPage.queryBindingDataString("#movie_coupon_count/presenter_movie_coupon") + "";
            var database_presenter_movie_coupon = arguments[0];
            var movie_couponRed_dot_state = arguments[1];
            var movie_coupons_hint = this.ownerPage.findItemById("movie_coupons_hint");
            if(database_presenter_movie_coupon == "0"){
                //第一次进入（首次注册登录保存的观影卷数量为0）。或者赠送的卷为0
                if(parseInt(binding_presenter_movie_coupon) > 0){
                    movie_coupons_hint.setStyle("display","block");
                }else{
                    movie_coupons_hint.setStyle("display","none");
                }
            }else{
                //不是第一次进入
                if(parseInt(binding_presenter_movie_coupon) > parseInt(database_presenter_movie_coupon)){
                    movie_coupons_hint.setStyle("display","block");
                }else {
                    if(movie_couponRed_dot_state == "block"){
                        movie_coupons_hint.setStyle("display","block");
                    }else{
                        movie_coupons_hint.setStyle("display","none");
                    }
                }
            }
            var account = this.ownerPage.queryBindingDataString("#user_info/account") + "";
            var movie_couponRed_dot_state = movie_coupons_hint.getStyle("display");
            //更新数据库里观影卷红点提信息
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"updateMovieCouponHintInfo","user_id":account,"presenter_movie_coupon":binding_presenter_movie_coupon,"movie_couponRed_dot_state":movie_couponRed_dot_state}));
        };
        XiaoMiUserCenter_set_display_account= function(){
            var mobile = this.getAttr("data_mobile");
            var nick = this.getAttr("data_nick");
            if(mobile.length > 0){
                this.setStyle("display","block");
                this.setAttr("text",mobile);
                var account_nick = this.ownerPage.findItemById("account_nick");
                if(nick.length > 0){
                    account_nick.setAttr("text",nick);
                    account_nick.setStyle("display","block");
                }else{
                    account_nick.setStyle("display","none");
                }
            }else{
                if(nick.length > 0){
                    this.setStyle("display","block");
                    this.setAttr("text",nick);
                }else{
                    this.setStyle("display","none");
                }
            }
        };
      XiaoMiUserCenter__vip_power_bindingFinished = function(){
            var vip_id = this.getAttr("vip_id");
            if(vip_id == "1"){
                this.setStyle("display","block");
            }else{
                this.setStyle("display","none");
            }
        };
})("XiaoMiUserCenter");

(function(){
    MgtvPurchaseMode__onReady = function(){
        var balance = this.queryBindingDataString("#user_info/balance") + "";
        var value_balance = parseFloat(balance);
        var init_data = this.getAttr("__init_data__");
        logger.d("log_js init data:" + init_data);
        init_data = JSON.parse(init_data);

        var product_price = parseFloat(init_data.product_price);
        var add = value_balance - product_price;
        var item0 = this.findItemById("product_title");
        item0.setAttr("text",init_data.product_name);

        var item1 = this.findItemById("product_name");
        item1.setAttr("text",init_data.button_name);
        var time = this.findItemById("time");
        time.setAttr("text",init_data.time);

        var item2 = this.findItemById("product_price");
        //显示价格为：xxx芒果币
        var price = parseFloat(init_data.product_price);
        item2.setAttr("text",price+"芒果币")

        var item3 = this.findItemById("page_content");
        item3.setAttr("channel",init_data.code);
        item3.setAttr("product_id",init_data.product_id);
        item3.setAttr("product_type",init_data.product_type);
        item3.setAttr("pay_value",add);

        var item_img = this.findItemById("image_tip");
        if(init_data.product_type == "0"){
            item_img.setAttr("img.0","file:///.assets/user_center/success_vip.png");
        }else if(init_data.product_type == "1"){
            item_img.setAttr("img.0","file:///.assets/user_center/ticket.png");
            item_img.setAttr("img.0.width","auto");
        }else if(init_data.product_type == "2"){
            item_img.setAttr("img.0","file:///.assets/user_center/success_media.png");
        }else if(init_data.product_type == "3"){
            item_img.setAttr("img.0","file:///.assets/user_center/success_media.png");
        }
        if (add >= 0.0 ) {
            var item = this.findItemById("page-0");
            item.setStyle("display","block");
            var button = item.findItemById("purchase_button");
            button.requestFocus();
            logger.e(" page-0"+value_balance);
        } else {
            logger.e(" page-1"+value_balance);
            var item0 = this.findItemById("page-1");
            item0.setStyle("display","block");
            item0.findItemById("recharge_button").requestFocus();
            this.findItemById("page-0").setStyle("display","none");
            var content = this.findItemById("page_content");
            var channel = content.getAttr("channel");
            var product_id = content.getAttr("product_id");

            //如果是需要充值，默认进入页面就下订单，根据产品id和渠道下订单
            var path ="file:///.app/info/orderinfo/"+ channel +"/"+product_id;
            this.ownerPage.refreshBinding("orderinfo",path);
            }
            //显示内容
            this.findItemById("page_content").setStyle("display","block");
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
    };
    MgtvPurchaseMode__OnActivityResume = function(){
        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startLoading"}));
        this.ownerPage.findItemById("page-1").setStyle("display","none");
        this.ownerPage.findItemById("page-0").setStyle("display","none");
        this.ownerPage.refreshBinding("user_info", "file:///.app/info/user");
    };
    MgtvPurchaseMode__balance_bindingUpdated = function(){
            this.ownerPage.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
            var init_data = this.ownerPage.getAttr("__init_data__");
            init_data = JSON.parse(init_data);
            var product_price = this.ownerPage.findItemById("product_price");
            var add = parseFloat(this.getData("balance")) - parseFloat(product_price.getAttr("text"));
            logger.d("MgtvPurchaseMode bindingUpdated add="+add);
            if (add >= 0.0 ) {
                var item = this.ownerPage.findItemById("page-0");
                item.setStyle("display","block");
                var button = item.findItemById("purchase_button");
                button.requestFocus();
            } else {
                var item1 = this.ownerPage.findItemById("page-0");
                item1.setStyle("display","none");
                var item0 = this.ownerPage.findItemById("page-1");
                item0.setStyle("display","block");
                var button = item0.findItemById("recharge_button");
                button.requestFocus();
        }
    };
    MgtvPurchaseMode__purchase_button_bindingUpdated = function(){
        logger.e(" bindingUpdated ");
        var order_type = this.getData("order_type");
        logger.e(" bindingUpdated success order_type=",order_type);

        if(order_type == "success")
        {
            var item1 = this.ownerPage.findItemById("product_name");
            var product_name = item1.getAttr("text");

            var page_content = this.ownerPage.findItemById("page_content");
            var product_type = page_content.getAttr("product_type");
            var state = "success";
            var order_id = this.getData("order_id");
            var init_data = this.ownerPage.getAttr("__init_data__");
            init_data = JSON.parse(init_data);

			this.dispatchEvent("pay_success", "data_report", JSON.stringify({"pay_type":"pay_mango", "product_id": init_data.product_id}));

            logger.e("startXULActivity: get order_id="+order_id +"product_name="+product_name+"product_type="+product_type);
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"startXULActivity",
            "page":"PurchaseSuccess", "data":
            {"product_name":product_name,"order_id":order_id,"product_type":product_type,"product_id":init_data.product_id,"code":init_data.code}}));
            this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"finishActivity"}));
        }else{
            logger.e(" order_type=",order_type);
        }
        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify( {"cmd":"stopLoading"}));
    };
    MgtvPurchaseMode__recharge_button_click = function(){
         var item0 = this.ownerPage.findItemById("page_content");
        var product_id = item0.getAttr("product_id");

        var init_data = this.ownerPage.getAttr("__init_data__");
        init_data = JSON.parse(init_data);
        var product_name = init_data.product_name;
        var product_type = init_data.product_type;

        var order_id = this.getData("order_id");
        var order_msg = this.getData("order_msg");

        if(order_msg.length == 0){
        order_msg = "[1,30]";
        }
        logger.e("startXULActivity: get order_id="+order_id
        +"order_msg="+order_msg+"product_name="+product_name);

        this.dispatchEvent("jsCmd", "jsCmd", JSON.stringify(
        {"cmd":"startXULActivity","page":"Recharge",
        "data":{"product_name":product_name,"product_id":product_id,"order_id":order_id,"order_msg":order_msg,"product_type":product_type}}));

    };
})("MgtvPurchaseMode");

(function() {
		SearchPage__poster_item__on_focus = function() {
            var filmListView = this.findParentById("film_list_view");
            if (filmListView != null) {
                var idx = filmListView.getItemIdx(this);
                this.dispatchEvent("focus", "load_more_data", JSON.stringify({"idx":idx}));
            }

            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var name = this.getData("name");
            var media_asset_id = this.getData("media_asset_id");
            var categoryId = this.getData("categoryId");
            var actor_id = this.getData("actor_id");
            var label_id = this.getData("label_id");
			var label_id_v2 = this.getData("label_id_v2");
            var poster_type = this.getData("poster_type");
            if (videoId == null || videoId == "") {
                // TODDO: 智能预测搜索
            } else {
                this.dispatchEvent("ai_open_video_detail", "ai_focus",  JSON.stringify({"video_id":videoId, "video_type":videoType, "view_type":viewType, "media_asset_id":media_asset_id, "category_id":categoryId, "actor_id":actor_id, "label_id":label_id, "label_id_v2":label_id_v2, "poster_type":poster_type}));
            }
		};

		SearchPage__poster_item__on_click = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var media_asset_id = this.getData("media_asset_id");
            var categoryId = this.getData("categoryId");
            var name = this.getData("name");
            var actor_id = this.getData("actor_id");
            var label_id = this.getData("label_id");
			var label_id_v2 = this.getData("label_id_v2");
            var posterImage = this.children[0];
            var imgUrl = posterImage.getAttr("img.3");
            var poster_type = this.getData("poster_type");
            var pinyin = this.getData("pinyin");
            var import_id = this.getData("import_id");
            var serial_id = this.getData("serial_id");
            var massive = this.findParentByType("massive");
            var idx = massive.getItemIdx(this);
            if (videoId == null || videoId == "") {
                if(actor_id == null || actor_id == ""){
                    this.dispatchEvent("click", "hotword_dosearch", JSON.stringify({"pinyin":pinyin  ,"name":name }));
                }else{
                    this.dispatchEvent("click", "open_detail_page",  JSON.stringify({"videoId":videoId, "videoType":videoType, "viewType":viewType, "media_asset_id":media_asset_id, "category_id":categoryId, "name":name, "imgUrl":imgUrl, "actor_id":actor_id, "label_id":label_id, "label_id_v2":label_id_v2,  "poster_type":poster_type}));
                }
            } else {
            	this.dispatchEvent("click", "open_detail_page",  JSON.stringify({"videoId":videoId, "videoType":videoType, "viewType":viewType, "media_asset_id":media_asset_id, "category_id":categoryId, "name":name, "imgUrl":imgUrl, "actor_id":actor_id, "label_id":label_id, "label_id_v2":label_id_v2,  "poster_type":poster_type}));
            }
		};
})("SearchPage");

(function() {
		MplayerQuitPage__poster_item__on_click = function() {
            var videoId = this.getData("videoId");
            var videoType = this.getData("videoType");
            var viewType = this.getData("viewType");
            var media_asset_id = this.getData("media_asset_id");
            var categoryId = this.getData("categoryId");
            var name = this.getData("name");
            var actor_id = this.getData("actor_id");
            var label_id = this.getData("label_id");
            var posterImage = this.children[0];
            var imgUrl = posterImage.getAttr("img.3");
            var poster_type = this.getData("poster_type");
            var pinyin = this.getData("pinyin");
            var idx = this.getData("idx");
            var seriesId = this.getData("series_id");
            var importId = this.getData("import_id");
            this.dispatchEvent("click", "open_detail_page",  JSON.stringify({
            "videoId":videoId, "videoType":videoType, "viewType":viewType, "media_asset_id":media_asset_id,
            "category_id":categoryId, "name":name, "imgUrl":imgUrl, "actor_id":actor_id, "idx":idx,
            "label_id":label_id, "poster_type":poster_type, "seriesId":seriesId, "importId":importId}));
		};
})("MplayerQuitPage");

